Bug 1250150 - [GSS](6.4.z) HHH-9928 - Pending put leaks when the entity is not found in DB
[GSS](6.4.z) HHH-9928 - Pending put leaks when the entity is not found in DB
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.5
Assigned To: jboss-set
hsvabek
:
Depends On:
Blocks: 1250542 1235745 1259122
  Show dependency treegraph
 
Reported: 2015-08-04 11:21 EDT by Stephen Fikes
Modified: 2017-01-17 06:44 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1250542 (view as bug list)
Environment:
Last Closed: 2017-01-17 06:44:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1526373 None None None Never

  None (edit)
Description Stephen Fikes 2015-08-04 11:21:05 EDT
Description of problem:
https://hibernate.atlassian.net/browse/HHH-9928

Version-Release number of selected component (if applicable):


How reproducible:
Consistently

Steps to Reproduce:
Repeatedly execute find by ID queries (at least 1 per minute) in individual transactions for a cacheable entity which does not exist in the DB (e.g. polling for a change) 

Actual results:
Continual, unbounded memory growth (as the above query loop continues) is observed in:

org.hibernate.cache.infinispan.access.PutFromLoadValidator$PendingPutMap

Expected results:
Memory should not grow without bound

Additional info:
The memory increase is associated with java.util.HashMap$Node instances, each of which include a distinct key of com.arjuna.ats.internal.jta.transaction.arjunacore.TransactionImple and a value of org.hibernate.cache.infinispan.access.PutFromLoadValidator$PendingPut.

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 6 hsvabek 2015-11-03 07:15:21 EST
Verified with EAP 6.4.5.CP.CR1.
Comment 7 Petr Penicka 2017-01-17 06:44:20 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.